Bug 884846 - IOError: nothing matching boot/efi/EFI/*/MokManager.efi in /
IOError: nothing matching boot/efi/EFI/*/MokManager.efi in /
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 15:22 EST by John Reiser
Modified: 2013-07-04 09:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 18:53:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-12-06 15:22:46 EST
Description of problem:  pungi builds DVD OK using 18.22-7.  Making the single change "yum upgrade lorax-18.23-1" then composing again, fails with traceback late in build.  So there is a missing dependency in lorax-18.23-1, or a bug in the x86.tmpl.


Version-Release number of selected component (if applicable):
lorax-18.23-1.fc18.x86_64


How reproducible:  every time (twice so far)


Steps to Reproduce:
1./usr/bin/pungi -c fedora-install-fedora-$VERSION.ks \
        --destdir=$DESTDIR --name Fedora --ver $VERSION --nosource
2.
3.
  
Actual results:
   [snip]
populating output tree and building boot images
running x86.tmpl
template command error in x86.tmpl:
  install boot/efi/EFI/*/MokManager.efi EFI/BOOT/
  IOError: nothing matching /sdd15/ext4-data/Fedora18/work/x86_64/installroot/boot/efi/EFI/*/MokManager.efi in /
Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 146, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 913, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 301, in run
    treebuilder.build()
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 218, in build
    self._runner.run(templatefile, kernels=self.kernels)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 176, in run
    self._run(commands)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 195, in _run
    f(*args)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 228, in install
    for src in rglob(self._in(srcglob), fatal=True):
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 95, in rglob
    raise IOError, "nothing matching %s in %s" % (pathname, root)
IOError: nothing matching /sdd15/ext4-data/Fedora18/work/x86_64/installroot/boot/efi/EFI/*/MokManager.efi in /


Expected results: successful compose of DVD


Additional info:
Comment 1 Brian Lane 2012-12-06 18:53:12 EST
You need to have shim-0.2-1 or newer.
Comment 2 John Reiser 2012-12-07 12:32:19 EST
Thank you for naming the package.  It would have saved project time if that dependency were explicit, or at least mentioned in the ChangeLog.

Note You need to log in before you can comment on or make changes to this bug.